Subject: bug#22138: Search paths of dependencies are not honored

From: [email-masked] (Ludovic Courtès)
Date: Thu, 10 Dec 2015 10:36:08 +0100

As of 0.9.0+, only the search paths of packages explicitly in the
profile are shown by ‘--search-paths’ and similar.  This is a problem
for libraries that have associated environment variables.

For instance, if one installs an application linked against OpenSSL,
they will not know about ‘SSL_CERT_DIR’ and ‘SSL_CERT_FILE’.  Similarly
for GStreamer and ‘GST_PLUGIN_PATH’, libc and ‘GUIX_LOCPATH’, and so on.

Fixing it seems tricky.  We could pass the profile builder the closure’s
graph (via #:references-graph) and the the set of search paths of all
the direct and indirect dependencies of the profile.  The builder would
then need to somehow determine the subset of these search paths that is
actually useful, and use it to build the search path spec in the
manifest as well as etc/profile.

Ludo’.